> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenlab.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Dosya Sil

> Batch dosyasını, görüntü/referans dosyası bağını veya Anthropic modundaki dosyayı siler.

## Genel Bakış

`/v1/files` ile oluşturulan dosyayı siler. Anthropic başlıkları yoksa route, TokenLab batch dosyalarını veya bağlı görüntü/referans dosyası bağlarını siler. `anthropic-beta: files-api-2025-04-14` varsa bağlı workspace için Anthropic Files API modunu kullanır.

## Notlar

* Batch dosyası silme, saklanan batch dosyası kaydını kaldırır ve sonraki batch işlerinin bu file ID değerini kullanmasını engeller.
* Görüntü/referans dosyası silme, seçili sağlayıcıdan dosyayı silmesini ister; sağlayıcı kabul ettikten sonra TokenLab dosya bağını kaldırır.
* Anthropic Files API modu, upload ve retrieve sırasında kullanılan aynı Anthropic native başlıklarını gerektirir.

## Örnek

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE "https://api.tokenlab.sh/v1/files/file_abc123" \
    -H "Authorization: Bearer sk-your-api-key"
  ```
</RequestExample>

## Request / Response

Kesin schema için yukarıdaki etkileşimli OpenAPI panelini kullanın.

## Response örneği

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "id": "file_abc123",
    "object": "file",
    "deleted": true
  }
  ```
</ResponseExample>

## Önemli alanlar

<ResponseField name="id" type="string">Silinen dosya tanımlayıcısı.</ResponseField>
<ResponseField name="deleted" type="boolean">Silme isteğinin başarılı olup olmadığı.</ResponseField>
